/**
 *
 */

package org.richfaces.ui.component;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

import javax.faces.FacesException;
import javax.faces.component.UIComponentBase;

/**
 * JSF component class
 * 
 */
public abstract class UIInsert extends UIComponentBase {

	private static final String COMPONENT_TYPE = "org.richfaces.ui.Insert";

	private static final String COMPONENT_FAMILY = "org.richfaces.ui.Insert";


	public abstract String getSrc();

	public abstract void setSrc(String src);

	public abstract String getHighlight();

	public abstract void setHighlight(String highlight);
	
	public abstract String getErrorContent();
	
	public abstract void setErrorContent(String src);

	public abstract String getEncoding();
	
	public abstract void setEncoding(String encoding);
}
